Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001399TestLinkRequirement Managementpublic2008-02-19 19:262008-11-07 19:47
Reportermasami 
Assigned Toschlundus 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.8 Beta 1 
Summary0001399: Can't create test case from requirement.
DescriptionHi.

This is the test step what I did.
1. check requirement from List of requirements view.
2. click "Create Test Cases" button.

Then I got following message.
Notice: Use of undefined constant NO_KEYWORDS - assumed 'NO_KEYWORDS' in /home/masami/public_html/testlink/lib/functions/requirement_mgr.class.php on line 490
ERROR ON exec_query() - database.class.php
0 - - SELECT keyword_id,keywords.keyword,keywords.notes FROM testcase_keywords,keywords WHERE keyword_id = keywords.id AND testcase_id = 11 AND keyword_id = NO_KEYWORDS

THE MESSAGE :: SQL [29] executed [took 0.0002 secs][all took 0.0142 secs]: SELECT keyword_id,keywords.keyword,keywords.notes FROM testcase_keywords,keywords WHERE keyword_id = keywords.id AND testcase_id = 11 AND keyword_id = NO_KEYWORDS Query failed: errorcode[1054] errormsg:Unknown column 'NO_KEYWORDS' in 'where clause'
ERROR ON exec_query() - database.class.php
0 - - INSERT INTO testcase_keywords (testcase_id,keyword_id) VALUES (11,NO_KEYWORDS)

THE MESSAGE :: SQL [32] executed [took 0.0002 secs][all took 0.0162 secs]: INSERT INTO testcase_keywords (testcase_id,keyword_id) VALUES (11,NO_KEYWORDS) Query failed: errorcode[1054] errormsg:Unknown column 'NO_KEYWORDS' in 'field list'
Additional InformationI've tested CVS HEAD.
I checkout it 2008/2/19 7:30 PM JST.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browsericeweasel
PHP Version5.2.5
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon TL1.8_create_test_case_from_requirement.png [^] (168,923 bytes) 2008-02-19 19:26

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-02-19 19:26 masami New Issue
2008-02-19 19:26 masami File Added: TL1.8_create_test_case_from_requirement.png
2008-02-19 19:26 masami Browser => iceweasel
2008-02-19 19:26 masami PHP Version => 5.2.5
2008-02-20 19:23 schlundus Status new => assigned
2008-02-20 19:23 schlundus Assigned To => schlundus
2008-02-21 05:28 schlundus Status assigned => resolved
2008-02-21 05:28 schlundus Fixed in Version => next development version (1.8 Beta1)
2008-02-21 05:28 schlundus Resolution open => fixed
2008-06-03 16:48 mhavlat Fixed in Version next development version (1.8 Beta1) => 1.8 Beta 1
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker